# Zoom Contact Center - March 20, 2023

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

_Published date: March 20, 223_

## Added

-   New **Batch Update Users** API:
    -   `PATCH /v2/contact_center/users`
-   New **Preferences** APIs:
    -   `DELETE /v2/contact_center/system_statuses/{statusId}`
    -   `PATCH /v2/contact_center/system_statuses/{statusId}`
    -   `POST /v2/contact_center/system_statuses`
-   New **Variable Logs** APIs:
    -   `GET /v2/contact_center/variable_logs`
    -   `GET /v2/contact_center/variable_logs/{variableLogId}`
-   New **Recordings** webhook events:
    -   `contact_center.recording_started`
    -   `contact_center.recording_paused`
    -   `contact_center.recording_resumed`
    -   `contact_center.recording_stopped`
    -   `contact_center.recording_completed`

## Changed

-   Added `ISO 8601` timezone standard to response fields `start_time` and `last_modified_time` in the **Engagements** APIs:
    -   `GET /v2/contact_center/engagements`
-   Added new response fields `status_type` and `status_category` in the **Preferences** APIs:
    -   `GET /v2/contact_center/system_statuses/{statusId}`
    -   `GET /v2/contact_center/system_statuses`
-   Added new request field `status_category`in the **Preferences** API:
    -   `GET /v2/contact_center/system_statuses`
-   Added request fields `queue_wait_type` and `required_skill_ids` for `voice` channel in the **Reports** API:
    -   `GET /v2/contact_center/analytics/historical/details/metrics`
-   Added new response fields `dialed_numbers`, `callback_waiting_duration`, `callback_pending_duration`, `ring_duration`, `flow_version`, `queue_wait_type`, `required_skills`, `optional_skills` and `agent_skills` in the **Reports** API:
    -   `GET /v2/contact_center/analytics/historical/details/metrics`
-   Added `ISO 8601` timezone standard to response fields `start_time_interval` and `end_time_interval` in the **Reports** APIs:
    -   `GET /v2/contact_center/analytics/historical/queues/metrics`
    -   `GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics`
    -   `GET /v2/contact_center/analytics/agents/time_sheets`
-   Added `ISO 8601` timezone standard to response fields `start_time` and `end_time` in the **Reports** APIs:
    -   `GET /v2/contact_center/analytics/historical/details/metrics`
    -   `GET /v2/contact_center/analytics/agents/status_history`
-   Added new request field `sub_status_id` in the **Users** API:
    -   `PATCH /v2/contact_center/users/{userId}`
-   Added new response fields `sub_status_id` and `sub_status_name` in the **Users** APIs:
    -   `GET /v2/contact_center/users`
    -   `GET /v2/contact_center/users/{userId}`
-   Added new payload fields `previous_sub_status_id`, `previous_sub_status_name`, `current_sub_status_id` and `current_sub_status_name` in the **Users** webhook:
    -   `contact_center.user_status_changed`

## Fixed

-   Fixed the bug where the response field `total_answer_duration` was missing in the **Reports** API:
    -   `GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics`
-   Fixed the bug where the response field `display_name` didn't return the correct value in these APIs:
    -   `GET /v2/contact_center/recordings`
    -   `GET /v2/contact_center/users/{userId}/recordings`
    -   `GET /v2/contact_center/engagements/{engagementId}/recordings`
    -   `GET /v2/contact_center/queues/{queueId}/recordings`
    -   `GET /v2/contact_center/inboxes/{inboxId}/users`
    -   `GET /v2/contact_center/skills/{skillId}/users/{userId}`
